%define anolis_release 1
%global srcname frozendict

Name:           python-%{srcname}
Version:        2.3.9
Release:        %{anolis_release}%{?dist}
Summary:        An immutable dictionary

License:        MIT
URL:            https://pypi.python.org/pypi/frozendict
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
frozendict is an immutable wrapper around dictionaries that implements
the complete mapping interface. It can be used as a drop-in
replacement for dictionaries where immutability is desired.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel

%description -n python3-%{srcname} %{_description}

%package -n python3-%{srcname}-doc
Summary: Doc files for python3-%{srcname}
Requires: python3-%{srcname} = %{EVR}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
export FROZENDICT_PURE_PY=1
%py3_build_wheel

%install
export FROZENDICT_PURE_PY=1
%py3_install

%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%files -n python3-%{srcname}-doc
%doc README.md

%changelog
* Wed Nov 29 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.3.9-1
- init from upstream
